- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

# level.h File Reference

## Namespaces
namespace | log4cxx
## Classes
class | Level
| Defines the minimum set of levels recognized by the system, that is `OFF`, `FATAL`, `ERROR`, `WARN`, `INFO`, `DEBUG` and `ALL`. More...
class | Level::LevelClass
## Defines
#define | DECLARE_LOG4CXX_LEVEL(level)
#define | IMPLEMENT_LOG4CXX_LEVEL(level) IMPLEMENT_LOG4CXX_OBJECT_WITH_CUSTOM_CLASS(level, Class##level)
## Functions
| log4cxx::LOG4CXX_PTR_DEF (Level)
| smart pointer to a Level instance

## Define Documentation

#define DECLARE_LOG4CXX_LEVEL | ( | level |  | ) |

| Value:
    public:\
            class Class##level : public Level::LevelClass\
    {\
    public:\
            Class##level() : Level::LevelClass() {}\
            virtual LogString getName() const { return LOG4CXX_STR(#level); } \
            virtual LevelPtr toLevel(const LogString& sArg) const\
            { return level::toLevelLS(sArg); }\
            virtual LevelPtr toLevel(int val) const\
            { return level::toLevel(val); }\
    };\
    DECLARE_LOG4CXX_OBJECT_WITH_CUSTOM_CLASS(level, Class##level)

#define IMPLEMENT_LOG4CXX_LEVEL | ( | level |  | ) | IMPLEMENT_LOG4CXX_OBJECT_WITH_CUSTOM_CLASS(level, Class##level)